org.apache.cassandra.cql3.statements

## Class CreateRoleStatement

- java.lang.Object
- - org.apache.cassandra.cql3.statements.ParsedStatement
  - - org.apache.cassandra.cql3.statements.AuthenticationStatement
    - - org.apache.cassandra.cql3.statements.CreateRoleStatement

All Implemented Interfaces:
  CQLStatement

    public class CreateRoleStatement
    extends AuthenticationStatement

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`ParsedStatement.Prepared`

### Constructor Summary

Constructors
Constructor and Description
`CreateRoleStatement(RoleName name, RoleOptions options, boolean ifNotExists)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `checkAccess(ClientState state)` Perform any access verification necessary for the statement.
`ResultMessage` `execute(ClientState state)`
`void` `validate(ClientState state)` Perform additional validation required by the statment.

### Methods inherited from class org.apache.cassandra.cql3.statements.AuthenticationStatement

`checkPermission, execute, executeInternal, getBoundTerms, prepare`

### Methods inherited from class org.apache.cassandra.cql3.statements.ParsedStatement

`getBoundVariables, getFunctions, setBoundVariables, setBoundVariables`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.CQLStatement

`getFunctions`

### Constructor Detail

#### CreateRoleStatement

    public CreateRoleStatement(RoleName name,
                               RoleOptions options,
                               boolean ifNotExists)

### Method Detail

#### checkAccess

    public void checkAccess(ClientState state)
                     throws UnauthorizedException

Description copied from interface: `CQLStatement`
Perform any access verification necessary for the statement.

Parameters:
  `state` - the current client state
Throws:
  `UnauthorizedException`

#### validate

    public void validate(ClientState state)
                  throws RequestValidationException

Description copied from interface: `CQLStatement`
Perform additional validation required by the statment. To be overriden by subclasses if needed.

Parameters:
  `state` - the current client state
Throws:
  `RequestValidationException`

#### execute

    public ResultMessage execute(ClientState state)
                          throws RequestExecutionException,
                                 RequestValidationException

Specified by:
  `execute` in class `AuthenticationStatement`
Throws:
  `RequestExecutionException`
  `RequestValidationException`